### Constructor

# Gimp Display new

#### Declaration [src]

    GimpDisplay*
    gimp_display_new (
      GimpImage* image
    )

#### Description [src]

Create a new display for the specified image.

Creates a new display for the specified image. If the image already has a display, another is added. Multiple displays are handled transparently by GIMP. The newly created display is returned and can be subsequently destroyed with a call to gimp_display_delete(). This procedure only makes sense for use with the GIMP UI, and will result in an execution error if called when GIMP has no UI.

#### Parameters

`image` | `GimpImage`
| The image.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GimpDisplay`
| The new display.
| The data is owned by the called function.